NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.ModlAlongCurveAngle Class Reference

This class NXOpen.GeometricUtilities.ModlAlongCurveAngle represents motion type in ModlMotion More...

Inheritance diagram for NXOpen.GeometricUtilities.ModlAlongCurveAngle:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
AlongCurve [get]
 Returns the value of transform. More...
 
unsafe NXOpen.Expression AlongCurveAngle [get]
 Returns the value of angular transform. More...
 
unsafe NXOpen.SelectCurve Curve [get]
 Returns the curve on which doing the transform. More...
 
unsafe bool ReverseCurveDirection [get, set]
 Returns or sets whether the direction of the curve to determine the transform should be reversed or not. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class NXOpen.GeometricUtilities.ModlAlongCurveAngle represents motion type in ModlMotion

Created in NX8.5.0

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.ModlAlongCurveAngle.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.ModlAlongCurveAngle.AlongCurve
get

Returns the value of transform.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.GeometricUtilities.ModlAlongCurveAngle.AlongCurveAngle
get

Returns the value of angular transform.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectCurve NXOpen.GeometricUtilities.ModlAlongCurveAngle.Curve
get

Returns the curve on which doing the transform.

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.GeometricUtilities.ModlAlongCurveAngle.ReverseCurveDirection
getset

Returns or sets whether the direction of the curve to determine the transform should be reversed or not.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.